import cx from 'classnames';
import style from './overlayMenu.css';

function OverlayMenu ({renderMenu, className, menuClassName, ...props}, children) {
    const composedClassName = cx(className, style.overlayMenu);
    const composedMenuClassName = cx(menuClassName, style.menu);

    return (
        <div className={composedClassName} {...props}>
            <div className={composedMenuClassName}>
                {renderMenu()}
            </div>

            <div className={style.content}>
                {children}
            </div>
        </div>
    );
}

export {
    OverlayMenu
};
